import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Profile } from '@app/domain/profiles/profile.model';
import { Observable } from 'rxjs';
import { ProfileDTO } from '@app/domain/profiles/dto/create-profile.dto';

export class CreateProfileUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(profileDto: ProfileDTO): Observable<Profile> {
    return this.repo.create(profileDto as Profile);
  }
}
